GLXISDIRECT(3G)

NAME
glXIsDirect - indicate whether direct rendering is enabled

C SPECIFICATION
Bool glXIsDirect( Display *dpy,
	GLXContext ctx )

PARAMETERS

dpy Specifies the connection to the X server.

ctx Specifies the GLX context that is being queried.

DESCRIPTION
glXIsDirect returns True if ctx is a direct rendering context, False otherwise. Direct rendering contexts pass rendering commands directly from the calling process's address space to the rendering system, bypassing the X server. Nondirect rendering contexts pass all rendering commands to the X server.

ERRORS
GLXBadContext is generated if ctx is not a valid GLX context.

SEE ALSO
glXCreateContext